#ifndef OPTION_ASDL_H
#define OPTION_ASDL_H

namespace option_asdl {

#define ASDL_NAMES struct
ASDL_NAMES option_i {
  enum no_name {
  errexit = 1,
  nounset = 2,
  pipefail = 3,
  inherit_errexit = 4,
  nullglob = 5,
  verbose_errexit = 6,
  noexec = 7,
  xtrace = 8,
  verbose = 9,
  noglob = 10,
  noclobber = 11,
  errtrace = 12,
  posix = 13,
  vi = 14,
  emacs = 15,
  interactive = 16,
  hashall = 17,
  failglob = 18,
  extglob = 19,
  nocasematch = 20,
  eval_unsafe_arith = 21,
  ignore_flags_not_impl = 22,
  ignore_opts_not_impl = 23,
  _allow_command_sub = 24,
  _allow_process_sub = 25,
  dynamic_scope = 26,
  redefine_module = 27,
  _running_trap = 28,
  _running_hay = 29,
  _no_debug_trap = 30,
  _no_err_trap = 31,
  strict_parse_slice = 32,
  strict_argv = 33,
  strict_arith = 34,
  strict_array = 35,
  strict_control_flow = 36,
  strict_errexit = 37,
  strict_nameref = 38,
  strict_word_eval = 39,
  strict_tilde = 40,
  strict_glob = 41,
  parse_at = 42,
  parse_proc = 43,
  parse_func = 44,
  parse_brace = 45,
  parse_bracket = 46,
  parse_equals = 47,
  parse_paren = 48,
  parse_ysh_string = 49,
  parse_triple_quote = 50,
  simple_word_eval = 51,
  dashglob = 52,
  command_sub_errexit = 53,
  process_sub_fail = 54,
  xtrace_rich = 55,
  xtrace_details = 56,
  sigpipe_status_ok = 57,
  redefine_proc_func = 58,
  parse_at_all = 59,
  parse_backslash = 60,
  parse_backticks = 61,
  parse_dollar = 62,
  parse_ignored = 63,
  parse_sh_arith = 64,
  parse_dparen = 65,
  parse_dbracket = 66,
  parse_bare_word = 67,
  simple_echo = 68,
  simple_eval_builtin = 69,
  simple_test_builtin = 70,
  expand_aliases = 71,
  lastpipe = 72,
  progcomp = 73,
  histappend = 74,
  hostcomplete = 75,
  cmdhist = 76,
  assoc_expand_once = 77,
  autocd = 78,
  cdable_vars = 79,
  cdspell = 80,
  checkhash = 81,
  checkjobs = 82,
  checkwinsize = 83,
  complete_fullquote = 84,
  direxpand = 85,
  dirspell = 86,
  dotglob = 87,
  execfail = 88,
  extdebug = 89,
  extquote = 90,
  force_fignore = 91,
  globasciiranges = 92,
  globstar = 93,
  gnu_errfmt = 94,
  histreedit = 95,
  histverify = 96,
  huponexit = 97,
  interactive_comments = 98,
  lithist = 99,
  localvar_inherit = 100,
  localvar_unset = 101,
  login_shell = 102,
  mailwarn = 103,
  no_empty_cmd_completion = 104,
  nocaseglob = 105,
  progcomp_alias = 106,
  promptvars = 107,
  restricted_shell = 108,
  shift_verbose = 109,
  sourcepath = 110,
  xpg_echo = 111,
  ARRAY_SIZE = 112,
  };
};

typedef int option_t;

ASDL_NAMES builtin_i {
  enum no_name {
  colon = 1,
  dot = 2,
  exec_ = 3,
  eval = 4,
  set = 5,
  shift = 6,
  times = 7,
  trap = 8,
  unset = 9,
  readonly = 10,
  local = 11,
  declare = 12,
  typeset = 13,
  export_ = 14,
  true_ = 15,
  false_ = 16,
  try_ = 17,
  assert_ = 18,
  read = 19,
  echo = 20,
  printf = 21,
  mapfile = 22,
  readarray = 23,
  cd = 24,
  pushd = 25,
  popd = 26,
  dirs = 27,
  pwd = 28,
  source = 29,
  umask = 30,
  ulimit = 31,
  wait = 32,
  jobs = 33,
  fg = 34,
  bg = 35,
  shopt = 36,
  complete = 37,
  compgen = 38,
  compopt = 39,
  compadjust = 40,
  compexport = 41,
  getopts = 42,
  builtin = 43,
  command = 44,
  type = 45,
  hash = 46,
  help = 47,
  history = 48,
  alias = 49,
  unalias = 50,
  bind = 51,
  append = 52,
  write = 53,
  json = 54,
  json8 = 55,
  pp = 56,
  hay = 57,
  haynode = 58,
  use = 59,
  error = 60,
  failed = 61,
  fork = 62,
  forkwait = 63,
  fopen = 64,
  shvar = 65,
  ctx = 66,
  runproc = 67,
  boolstatus = 68,
  test = 69,
  bracket = 70,
  push_registers = 71,
  source_guard = 72,
  is_main = 73,
  cat = 74,
  ARRAY_SIZE = 75,
  };
};

typedef int builtin_t;


}  // namespace option_asdl

#endif  // OPTION_ASDL_H
